pxipm.h
Go to the documentation of this file.
/**
* @file pxipm.h
* @brief Process Manager PXI service
*/
#pragma once
#include <3ds/exheader.h>
#include <3ds/services/fs.h>
/// Initializes PxiPM.
Result pxiPmInit(void);
/// Exits PxiPM.
void pxiPmExit(void);
/**
* @brief Gets the current PxiPM session handle.
* @return The current PxiPM session handle.
*/
Handle *pxiPmGetSessionHandle(void);
/**
* @brief Retrives the exheader information set(s) (SCI+ACI) about a program.
* @param exheaderInfos[out] Pointer to the output exheader information set.
* @param programHandle The program handle.
*/
Result PXIPM_GetProgramInfo(ExHeader_Info *exheaderInfo, u64 programHandle);
/**
* @brief Loads a program and registers it to Process9.
* @param programHandle[out] Pointer to the output the program handle to.
* @param programInfo Information about the program to load.
* @param updateInfo Information about the program update to load.
*/
Result PXIPM_RegisterProgram(u64 *programHandle, const FS_ProgramInfo *programInfo, const FS_ProgramInfo *updateInfo);
/**
* @brief Unloads a program and unregisters it from Process9.
* @param programHandle The program handle.
*/
Result PXIPM_UnregisterProgram(u64 programHandle);
exheader.h
NCCH extended header definitions.
fs.h
Filesystem Services.
PXIPM_GetProgramInfo
Result PXIPM_GetProgramInfo(ExHeader_Info *exheaderInfo, u64 programHandle)
Retrives the exheader information set(s) (SCI+ACI) about a program.
pxiPmExit
void pxiPmExit(void)
Exits PxiPM.
PXIPM_UnregisterProgram
Result PXIPM_UnregisterProgram(u64 programHandle)
Unloads a program and unregisters it from Process9.
PXIPM_RegisterProgram
Result PXIPM_RegisterProgram(u64 *programHandle, const FS_ProgramInfo *programInfo, const FS_ProgramInfo *updateInfo)
Loads a program and registers it to Process9.
pxiPmGetSessionHandle
Handle * pxiPmGetSessionHandle(void)
Gets the current PxiPM session handle.
pxiPmInit
Result pxiPmInit(void)
Initializes PxiPM.
ExHeader_Info
Main extended header data, as returned by PXIPM, Loader and FSREG service commands.
Definition: exheader.h:181
FS_ProgramInfo
Program information.
Definition: fs.h:183
u64
uint64_t u64
64-bit unsigned integer
Definition: types.h:24
Handle
u32 Handle
Resource handle.
Definition: types.h:41
Result
s32 Result
Function result.
Definition: types.h:42